Subject: Blog
From: Deeksha Dadu <[email-masked]>
To: Ashish Dabral <[email-masked]>
Date: Thu, 3 Feb 2022 14:49:31 +0000

https://livesalesman.com/live-chat-and-call-center-for-online-fashion-websites/

Dear online fashion retailers,

Hope you are in the pink of conversion.

As someone who is a savvy shopper for clothing and fashion online, I beg to draw your attention to a glaring gap in your offering!

Coming to the point- for we women, buying clothes is not just another need-based transaction. We may buy clothes because…well, for no particular reason! We invest considerable time, energy and even emotions in browsing through 100s of products to select that one perfect dress. We may look at the same outfit 50 times (yeah, that explains why unique visits are only 50% on your site), we may get irritatingly confused between two dresses, we may fret over a sold-out item that we had been eyeing etc. etc. Now, while we are at our sensitive best, you decide to leave us alone with no help until ‘9am EST’ because that is when your leisurely customer support starts working! Seriously? And then you crib that we ‘abandoned the shopping cart’!! Of course, we will!

I speak for all online shoppers when I say- I need help right there, right then! And do you realize when you ask me to call, you have already taken my eyes ‘off’ your website? Now, how do you know I will still call? I do have a life besides you, after all. I may get busy, lazy, may lose interest in you or may get more interested in your competition, YES, the same one you have been trying to keep at bay with all that massive marketing budget spent on SEO and SEM. Then, you will keep inundating me with those ‘retargeting e-mailers’, will chase me around all over the online like a dumped lover and show up uninvited wherever I go in those ‘retargeting banners’ and will spend even more dollars in trying to bring me back! Wow! Why not keep me and make me yours for as long as you can while I am still there on your website seeking your attention?

How? Ever heard of ‘24×7 Live Web Chat<https://livesalesman.com/live-chat-support/>’? I am sure you have! You are just too content to see it’s significance or have already deployed it but never bothered to staff it adequately! Worse, you condescendingly add those chat buttons and hire scripted dialogue rattling agents who are led to firmly and naively believe that they can miraculously search for any goddamn answer in their all-encompassing ‘knowledge base’. They unwittingly and diligently keep digging out the closest ‘keyword matching macro’ to my most specific questions and keep hurling them at me until I am thoroughly frustrated talking to a robot like human and decide to break off with you! It does not stop here. Some companies have actually robots man their live chat – Chatbots (I see the point though, when their customer reps behave like robots, why not use one!)

Fashion can only be sold by those who understand it. Period.

Strangely, you are at my beck and call when I come to your ‘offline’ stores like I am your new girlfriend but make me wait eternally like a wife you are bored with when I visit you ‘online’! Why? I like to be greeted and treated the same way, no matter where I choose to meet you. Let there be a sensible shopping assistant, right there on your website, round the clock, who I can have a real chat with. Someone who knows a shift dress from an empire one and what silhouettes they flatter. Someone who does not try to reduce and oversimplify my style and requirements down to search filters of colour, price range, size on your website to give me a set of another 50 items that I am expected to sift through and choose. I don’t need a person for that! I need someone who can patiently lend an ear to my needs and preferences, can understand my eccentricities and style. And then conjures up those few perfect ones that will impress the imperfect me from the dizzying plethora of options available on your wbesite. Someone who keeps in pace with those seasonal fashion trends<https://livesalesman.com/online-personal-shopper/>, which by the way are changing faster than the seasons themselves and can give me personalized advise me on which ones I should let in my wardrobe. On the recommendation of someone like this, maybe I will slip in an extra pair of shoe in my shopping basket even though I don’t need them. I will come back to you each time, I need…correction…feel like shopping and will bring along friends next time.

Use Live Chat wisely. This way I know that someone will be there on your website, every time I stop to buy or to just say hi!